#
# spec file for package perl-Config-Crontab (Version 1.03)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db4 MAKEDEV diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-common gpm grep groff gzip info chkconfig kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netconfig openldap-clients openssl pam patch  popt procinfo procps psmisc shadow-utils rcs readline sed strace sysklogd SysVinit tar tcp_wrappers texinfo tzdata unzip util-linux vim-common zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm suse-macros

Name:         perl-Config-Crontab
%define module_name Config-Crontab
%define module_version 1.03
Summary:      Read/Write Vixie compatible crontab files
Version:      1.03
Release:      46.1
Requires:     perl = %{perl_version}
Autoreqprov:  on
License:      GPL, Artistic License
Group:        Development/Libraries/Perl
Source0:      %{module_name}-%{version}.tar.bz2
URL:          http://www.cpan.org/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Config::Crontab reads and writes (and pretty-prints) your crontab(5)
files. It is compatible with Vixie-style crontabs (and all subsets,
including Solaris' SysV-style crontabs).

Config::Crontab has a simple, object-oriented syntax. Crontab files are
broken into "blocks" (paragraphs, each separated by two or more
newlines); the Block is the basic unit of a Config::Crontab object.

You can re-order entire blocks within a crontab file, re-order lines
within blocks (there are three types of lines: comments, environment
settings, and crontab commands or events), remove blocks or lines
within blocks, add new blocks or lines within blocks, etc. See the
Config::Crontab manpage for full details.



Authors:
--------
    Scott Wiersdorf, <scott@perlcode.org>

%prep
%setup -q -n %{module_name}-%{version}
#%patch

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README
%doc %{_mandir}/man?/*
%{perl_vendorarch}/auto/Config
%dir %{perl_vendorlib}/Config
%{perl_vendorlib}/Config/Crontab.pm
/var/adm/perl-modules/%{name}

%changelog -n perl-Config-Crontab
* Mon Mar 12 2007 - wenji.huang@oracle.com
- Fit spec to RHEL/EL
* Thu Jan 29 2004 - nashif@suse.de
- Initial version for SuSE (1.03)
